#ifndef __dirwatch
#define __dirwatch

#include "FileWatcher.h"

class DirectoryWatcher : public virtual DirectoryMonitor, public virtual FileWatcher {
public:
	DirectoryWatcher(sem_id blocker, BDirectory &toWatch, BEntry &forDir,
				char *move, char *stat, char *attribute, char *deleted,
				char *newfile, char *removefile);
	~DirectoryWatcher();
	
	virtual void EntryMovedIn(node_ref &from_directory, const char *name_of_node, ino_t node);
	virtual void EntryMovedOut(node_ref &to_directory, const char *name_of_node, ino_t node);
	virtual void EntryRemoved(ino_t node);
	virtual void EntryCreated(const char *created_name, ino_t created_node);

protected:
	char *mNewFile;
	char *mRemovedFile;
};

#endif